commit 2b93936a122eaf5549c013cfdd27a1a164635ad7
Author: Paul Thomas <pault@gcc.gnu.org>
Date:   Sun Nov 3 18:02:16 2024 +0000

    Fortran: Fix associate_69.f90 that fails on some platforms [PR115700]
    
    2024-11-03  Paul Thomas  <pault@gcc.gnu.org>
    
    gcc/testsuite/
            PR fortran/115700
            * gfortran.dg/associate_69.f90: Remove the test that produces a
            variable string length because the optimized count depends on
            the platform. This is tested in associate_70.f90.
    
    (cherry picked from commit 4ed02814c2191d5febe0972c3e43c80c004f4799)

diff --git a/gcc/testsuite/gfortran.dg/associate_69.f90 b/gcc/testsuite/gfortran.dg/associate_69.f90
index 35db417867d..3839718e7f0 100644
--- a/gcc/testsuite/gfortran.dg/associate_69.f90
+++ b/gcc/testsuite/gfortran.dg/associate_69.f90
@@ -30,11 +30,6 @@ subroutine mvce(x)
   associate (tmp5 => x(1:)(1:))
     if (len (tmp5) /= len (x)) stop 5
   end associate
-
-  associate (temp6 => x(:)(1:i/2))
-    if (len (temp6) /= i/2) stop 6
-  end associate
 end
 
 ! { dg-final { scan-tree-dump-not " \\.tmp" "optimized" } }
-! { dg-final { scan-tree-dump-times " \\.temp6" 7 "optimized" } }

